#!/bin/zsh

if test "x$1" = "x" -o "$1" = "-h"
    then
    echo "Syntax : "
    echo "  $0 <xmms source tree>"
    exit 1
fi


rm -Rf ./mpg123 ./intl ./po config.h.in i18n.h.in

cp -a $1/Input/mpg123 $1/intl $1/po $1/config.h.in $1/xmms/i18n.h.in ./

cd mpg123
## Replace some include : we dont get'em in the xmms source tree
## anymore. We use the xmms-config script instead.
for i in `grep -El '^#include "([a-z]+|)xmms/' *.[ch]`
  do
  mv $i $i.old
  sed 's/^#include "\([a-z]\+\|\)xmms\//#include "/g' $i.old > $i
  rm $i.old
done

mv Makefile.am Makefile.am.old
sed 's/^INCLUDES = /INCLUDES = `@XMMS_CONFIG@ --cflags` /' Makefile.am.old > Makefile.am
rm Makefile.am.old
cd -

## i18n for mpg123 plugin is already provided by xmms.
rm ./po/*.po ./po/*.gmo

